package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlanChangeLog;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlanChangeLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhPlanChangeLogMapper {
    long countByExample(ContentPlatformGzhPlanChangeLogExample example);

    int deleteByExample(ContentPlatformGzhPlanChangeLogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhPlanChangeLog record);

    int insertSelective(ContentPlatformGzhPlanChangeLog record);

    List<ContentPlatformGzhPlanChangeLog> selectByExample(ContentPlatformGzhPlanChangeLogExample example);

    ContentPlatformGzhPlanChangeLog selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhPlanChangeLog record, @Param("example") ContentPlatformGzhPlanChangeLogExample example);

    int updateByExample(@Param("record") ContentPlatformGzhPlanChangeLog record, @Param("example") ContentPlatformGzhPlanChangeLogExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhPlanChangeLog record);

    int updateByPrimaryKey(ContentPlatformGzhPlanChangeLog record);
}